Bug 1482273 - Missing scaleio volume plugin in openshift
Summary: Missing scaleio volume plugin in openshift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.z
Assignee: Pavel Pospisil
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks: 1482274
TreeView+ depends on / blocked
 
Reported: 2017-08-17 00:00 UTC by Bradley Childs
Modified: 2017-09-08 03:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1482274 (view as bug list)
Environment:
Last Closed: 2017-09-08 03:15:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2642 normal SHIPPED_LIVE OpenShift Container Platform 3.6.1 bug fix and enhancement update 2017-09-08 07:14:52 UTC

Description Bradley Childs 2017-08-17 00:00:31 UTC
Description of problem:
Missing scaleio volume plugin.  Code made kube rebase, but isn't enabled in OpenShift VolumeManger.

The scaleio volume plugin is not fully enabled

See:

https://github.com/openshift/origin/pull/15661

Comment 1 Pavel Pospisil 2017-08-17 17:49:13 UTC
Created PR: https://github.com/openshift/ose/pull/844

Comment 3 Wenqi He 2017-09-07 03:10:00 UTC
I have tested this on below version:
openshift v3.6.173.0.21
kubernetes v1.6.1+5115d708d7

The scaleio plugin has been enabled on OCP:
Sep 07 01:43:07 example.com[18520]: I0907 01:43:07.646075   18590 plugins.go:364] Loaded volume plugin "kubernetes.io/scaleio"
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.604757   18590 reconciler.go:318] MountVolume operation started for volume "kubernetes.io/scaleio/1f1856d5-9376-11e7-a16c-fa163e18ee64-vol" (spec.Name: "vol") to pod "1f1856d5-9376-11e7-a16c-fa163e18ee64" (UID: "1f1856d5-9376-11e7-a16c-fa163e18ee64").
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.604841   18590 sio_volume.go:90] scaleio: setting up volume vol
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.604847   18590 sio_volume.go:319] scaleio: setting up sio mgr for vol  vol
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.604875   18590 sio_util.go:143] scaleio: loading config file /var/lib/origin/openshift.local.volumes/pods/1f1856d5-9376-11e7-a16c-fa163e18ee64/plugins/kubernetes.io/scaleio/sioconf.dat
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.607333   18590 nsenter_mount.go:212] findmnt: directory /var/lib/origin/openshift.local.volumes/pods/1f1856d5-9376-11e7-a16c-fa163e18ee64/volumes/kubernetes.io~scaleio/vol does not exist
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.607355   18590 sio_mgr.go:57] scaleio: creating scaleio client
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.607361   18590 sio_mgr.go:69] scaleio: creating new client for gateway https://localhost:443/api
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.607408   18590 sio_mgr.go:84] scaleio: client created successfully [gateway=https://localhost:443/api]
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.607413   18590 sio_mgr.go:114] scaleio: attaching volume vol
Sep 07 02:42:15 example.com[18520]: I0907 02:42:15.607417   18590 sio_client.go:112] scaleio: initializing scaleio client

Comment 5 errata-xmlrpc 2017-09-08 03:15:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2642


Note You need to log in before you can comment on or make changes to this bug.